> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Disbursement

> Trigger early disbursement of a pending contractor payment before the standard cutoff time.



## OpenAPI

````yaml openapi/zeal-api.json post /contractorPayment/trigger
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /contractorPayment/trigger:
    post:
      summary: Trigger Disbursement
      operationId: trigger-disbursement-contractor-payment
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - contractorPaymentID
              properties:
                companyID:
                  type: string
                  description: Company ID of employer
                contractorPaymentID:
                  type: string
                  description: >-
                    ID of Contractor Payment that you wish to disburse the
                    amounts for
            examples:
              Request Example:
                value:
                  companyID: 24b5b29f05234840b119c34c1358940c
                  contractorPaymentID: 62350595e7f1222323b3b824
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      contractorPaymentID: '0987654321'
                      status: pending
                      disbursement_status: pending
                      first_name: erlich
                      middle_name: null
                      last_name: bachman
                      companyID: 1b5n28nrideucd24
                      contractorID: '123456789'
                      approval_required: false
                      approved: false
                      pay_date: '2023-10-01'
                      amount: '100'
                      triggered: true
                      customerAccountID: null
                      triggered_at: '2025-03-04T23:18:09Z'
                      metadata:
                        example: example
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      contractorPaymentID:
                        type: string
                        example: '0987654321'
                      status:
                        type: string
                        example: pending
                      disbursement_status:
                        type: string
                        example: pending
                      first_name:
                        type: string
                        example: erlich
                      middle_name:
                        path: /orders-4
                      last_name:
                        type: string
                        example: bachman
                      companyID:
                        type: string
                        example: 1b5n28nrideucd24
                      contractorID:
                        type: string
                        example: '123456789'
                      approval_required:
                        type: boolean
                        example: false
                        default: true
                      approved:
                        type: boolean
                        example: false
                        default: true
                      pay_date:
                        type: string
                        example: '2023-10-01'
                      amount:
                        type: string
                        example: '100'
                      triggered:
                        type: boolean
                        example: true
                        default: true
                      customerAccountID:
                        path: /orders-4
                      triggered_at:
                        type: string
                        example: '2025-03-04T23:18:09Z'
                      metadata:
                        type: object
                        properties:
                          example:
                            type: string
                            example: example
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          Contractor Payment for this contractor and pay date
                          already exists.
                        code: 81
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Contractor Payment for this contractor and pay date
                            already exists.
                        code:
                          type: integer
                          example: 81
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````